html {
  height: 100%;
}
body {
  overflow-x: hidden;
  overflow-y: scroll;
  height: 100%;
}
body,
p,
a {
  font-family: 'Roboto-Regular';
  font-size: 10pt;
}
a:hover,
a {
  text-decoration: none;
  transition: all 0.3s ease;
}
ul {
  margin: 0;
  padding: 0;
}
ul li {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.space-text {
  white-space: nowrap;
}
.font-weight-bold,
b,
strong {
  font-family: 'Roboto-Bold';
}
.font-weight-light {
  font-family: 'Roboto-LIght' !important;
}
.button {
  cursor: pointer;
}
.border-radius-50 {
  border-radius: 50px;
  overflow: hidden;
}
.fa {
  min-width: 20px;
  text-align: center;
}
.blank-img {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.tshadow {
  text-shadow: 2px 0 6px #000000;
}

.line-1 {
  -webkit-line-clamp: 1;
}
.line-2 {
  -webkit-line-clamp: 2;
}
.line-3 {
  -webkit-line-clamp: 3;
}
.line-4 {
  -webkit-line-clamp: 4;
}
.line-5 {
  -webkit-line-clamp: 5;
}
.line-6 {
  -webkit-line-clamp: 6;
}
.line-1,
.line-2,
.line-3,
.line-4,
.line-5,
.line-6 {
  display: block;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.side_bar_active {
  font-size: 14px;
  background-color: #015eea !important;
  color: white !important;
  box-shadow: 0 0 10px 0 rgba(1, 94, 234, 0.6);
}
.shadow {
  box-shadow: 10px 0 15px 0 rgba(0, 0, 0, 0.1);
}

.new-shadow {
  box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 3px 0px;
}

.text-shadow {
  color: #ffffff;
  text-shadow: #474747 3px 5px 2px;
  font-size: 50px;
}
.new-text-shadow {
  text-shadow: 2px 4px 4px #000000;
}

.bg-properties {
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}
a,
.font-light {
  color: #757575;
}
.font-14 {
  font-size: 14px;
}
.bg-transparent {
  background-color: transparent !important;
}

.card-form .card .nav .nav-item .nav-link:hover,
.card-form .card form .btn:hover,
.bg-red {
  background-color: #e53238;
}

.side .card.card-body a:hover {
  color: blue !important;
  cursor: pointer;
}

.services .card:hover,
.bg-blue {
  background-color: #0064d2 !important;
}
.bg-yellow {
  background-color: #f5af02;
}
.bg-green {
  background-color: #86bb17;
}

footer a:hover,
footer .social-links i:hover,
.text-red {
  color: #e53238;
}

.text-blue {
  color: #0064d2;
}
.text-yellow {
  color: #f5af02;
}
.text-green {
  color: #86bb17;
}

.side .card.card-body a:hover {
  color: white;
  padding-left: 18px !important;
}
footer a {
  color: black;
}

.services .card,
.banner,
.notification .alert,
.cards .card,
.position-r {
  position: relative;
}

.cards .total-commission:before,
.cards .total-message:before,
.cards .life-time-fuels:before,
.cards .fuels-month:before,
.cards .fuels-week:before,
.cards .fuels-today:before,
.cards .life-time:before,
.cards .month:before,
.cards .week:before,
.cards .today:before,
.services .card:before,
.position-a {
  position: absolute;
}

.notification,
.navbar,
.position-f {
  position: fixed;
}

.side-menu {
  top: 0px;
  bottom: 0px;
  left: -280px;
  width: 280px;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 9999;
  transition: all 0.3s ease;
}
.side-menu.show {
  left: 0px;
  font-weight: bold;
  transition: all 0.3s ease;
}
.drop-mirror {
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  z-index: 999;
}
.mirror {
  top: 0px;
  bottom: 0px;
  left: 100%;
  right: 0px;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 9999;
  transition: all 0.3s ease;
}
.mirror.show {
  left: 280px;
}
.navbar {
  top: 0px;
  left: 0px;
  right: 0px;
  z-index: 9999;
  height: 90px;
  transition: all 0.5s ease;
}
.side-menu .nav-link:hover {
  background-color: #0064d2 !important;
  text-shadow: #474747 1px 3px 1px;
  color: white !important;
}
.navbar.top-fixed {
  transition: all 0.5s ease;
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: rgba(100, 100, 111, 0.7) 0px 7px 29px 0px;
  border-bottom: #ffffff solid 1px;
}
.navbar .navbar-nav {
  position: absolute;
  left: auto;
  right: 30px;
}
.navbar .navbar-nav {
  background-color: rgba(255, 255, 255, 0.8);
}
.navbar.top-fixed .navbar-nav {
  background-color: rgba(255, 255, 255, 0);
}
.navbar .navbar-nav a:hover {
  color: #0064d2 !important;
}
.navbar .navbar-nav span,
.navbar .navbar-nav a {
  font-size: 16px;
}

.notification .alert-dismissible .close,
.top-0 {
  top: 0px;
}
.left-0 {
  left: 0px;
}

.notification,
.right-0 {
  right: 0px;
}

.notification,
.notification .alert-dismissible .close,
.bottom-0 {
  bottom: 0px;
}
.position-f {
  position: fixed;
}

/* Notification Css */
.notification {
  display: inline-block;
  visibility: hidden;
  z-index: 99999;
}
.notification .alert {
  box-shadow: 0px 5px 6px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  visibility: hidden;
  -webkit-animation-name: example; /* Safari 4.0 - 8.0 */
  -webkit-animation-duration: 5s; /* Safari 4.0 - 8.0 */
  animation-name: example;
  animation-duration: 5s;
}
.notification .alert-dismissible .close {
  padding: 0px;
  right: 10px;
}
@keyframes example {
  0% {
    visibility: hidden;
    opacity: 1;
  }
  1% {
    visibility: visible;
  }
  7% {
    visibility: visible;
    right: 20px;
  }
  90% {
    visibility: visible;
    opacity: 1;
  }
  100% {
    visibility: hidden;
    opacity: 1;
    right: 20px;
  }
}

.navbar .login .img {
  width: 30px;
  height: 30px;
  min-width: 30px;
  min-height: 30px;
}
.navbar.top-fixed .custome-dropdown {
  top: 61px;
}
.navbar .custome-dropdown {
  position: absolute;
  top: 53px;
  right: -25px;
  background-color: rgba(255, 255, 255, 0.85) !important;
  transition: all 0.5s ease;
}
.navbar .custome-dropdown a.py-2 i:hover,
.navbar .custome-dropdown a.py-2:hover {
  background-color: #0064d2 !important;
  color: #ffffff !important;
  transition: all 0.6s ease;
}
/* BANNER */
.banner {
  padding-top: 80px;
  width: 100%;
  height: 100vh;
}
.banner::before,
.banner::after {
  content: '';
  position: absolute;
  top: -10px;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: right;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.banner .side-images img {
  position: absolute;
  bottom: -100px;
  left: -110px;
  width: 160px;
}

.banner::before {
  background-image: url('../images/banner/ns2.png');
}
.banner::after {
  background-image: url('../images/banner/ns1.png');
}

.banner .card {
  box-shadow:
    rgba(136, 165, 191, 0.48) 6px 2px 16px 0px,
    rgba(255, 255, 255, 0.8) -6px -2px 16px 0px;
  width: 100px;
  height: 100px;
}
/* SERVICES */
.services {
  overflow: hidden;
}
.services img {
  width: 30% !important;
  top: -0px;
  left: -260px;
  bottom: 0px;
}

.services .imgMiddle.fa-spin {
  -webkit-animation: fa-spin 10s infinite linear;
  animation: fa-spin 10s infinite linear;
}

.testimonial .card .img,
.testimonial .card,
.services .card:hover,
.services .card {
  box-shadow:
    rgba(17, 17, 26, 0.05) 0px 4px 16px,
    rgba(17, 17, 26, 0.05) 0px 8px 32px;
  transition: all 0.5s ease;
}
.card-form .card .nav .nav-item .nav-link:hover,
.services .card:hover i,
.services .card:hover p,
.services .card:hover h5 {
  color: white;
}

.services .card:before {
  content: '';
  top: 0px;
  right: 0px;
  left: 0px;
  width: 70px;
  height: 4px;
  margin: auto;
  background-color: #0064d2;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  transition: all 0.5s ease;
}
.services .card:hover:before {
  background-color: white;
  transition: all 0.5s ease;
}

/* tesimonial */
.testimonial .card .img,
.testimonial .card {
  position: relative;
  border: #e53238 dashed 1px;
  border-radius: 15px;
}
.testimonial .card .img {
  width: 120px;
  height: 120px;
  min-width: 120px;
  min-height: 120px;
}
.testimonial .card:after {
  position: absolute;
  content: '';
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-top: 30px solid #e53238;
  bottom: -30px;
  right: 48%;
}

footer {
  padding: 30px;
  background: url(../images/footer_map.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: 50% 50%;
  animation: animatedBackground 15s linear infinite;
}
@keyframes animatedBackground {
  0% {
    background-position: 50% 50%;
  }
  50% {
    background-position: 40% -40%;
  }
  100% {
    background-position: 50% 50%;
  }
}
.profile .card .card-img {
  height: 150px;
  width: 150px;
}

.profile .card .card-img {
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.card-form .card form .btn:hover {
  border-color: #e53238;
}

/* DASHBOARD 
.dashboard-card .card-body i{
    transform: translate(0%,-50%);
	top: 50%;
	right: 0;
    opacity: .7;
    font-size: 50px;
}

.gd-blue{background-image:linear-gradient(to left, #0db2de 0%, #005bea 100%);}
.gd-green{background-image: linear-gradient(to left, #48d6a8 0%, #029666 100%);}
.gd-orange{background-image:linear-gradient(to left, #efa65f, #f76a2d);}
.gd-red{background-image:linear-gradient(to right, #f93a5a 0%, #f7778c 100%);}
*/
.cards .card {
  box-shadow: 0 3px 16px rgba(0, 0, 0, 0.23);
  background-position: top center;
  overflow: hidden;
  border-radius: 10px;
}
.cards .today {
  background-image: linear-gradient(
    to left,
    #0db2de 0%,
    #005bea 100%
  ) !important;
}

.cards .total-commission:before,
.cards .total-message:before,
.cards .life-time-fuels:before,
.cards .fuels-month:before,
.cards .fuels-week:before,
.cards .fuels-today:before,
.cards .life-time:before,
.cards .month:before,
.cards .week:before,
.cards .today:before {
  font-size: 100px;
  color: #ecf0fa;
  opacity: 50%;
  font-family: 'FontAwesome';
}

.cards .today:before {
  content: '\f1b2';
  font-size: 125px;
  bottom: -50px;
  right: -20px;
}

.cards .fuels-today:before {
  content: '\f155';
  font-size: 125px;
  bottom: -50px;
  right: -20px;
}
.cards .fuels-today {
  background-image: linear-gradient(
    to left,
    #3cc466 0%,
    #0ca363 100%
  ) !important;
}

.cards .week:before {
  content: '\f1b3';
  font-size: 110px;
  bottom: -41px;
  right: -32px;
}
.cards .week {
  background-image: linear-gradient(
    to right,
    #f93a5a 0%,
    #f7778c 100%
  ) !important;
}

.cards .fuels-week:before {
  content: '\f133';
  font-size: 110px;
  bottom: -30px;
  right: -32px;
}
.cards .fuels-week {
  background-image: linear-gradient(
    to right,
    #cf8004 0%,
    #faba00 100%
  ) !important;
}

.cards .month:before {
  content: '\f073';
  bottom: -30px;
  right: -10px;
}
.cards .month {
  background-image: linear-gradient(
    to left,
    #48d6a8 0%,
    #029666 100%
  ) !important;
}

.cards .fuels-month:before {
  content: '\f1fe';
  bottom: -40px;
  right: -30px;
  font-size: 110px;
}
.cards .fuels-month {
  background-image: linear-gradient(
    to left,
    #f0706f 0%,
    #ca3704 100%
  ) !important;
}

.cards .life-time:before {
  content: '\f015';
  bottom: -30px;
  right: -10px;
}
.cards .life-time {
  background-image: linear-gradient(to left, #efa65f, #f76a2d) !important;
}

.cards .life-time-fuels:before {
  content: '\f233';
  bottom: -44px;
  right: -10px;
  font-size: 112px;
}
.cards .life-time-fuels {
  background-image: linear-gradient(to left, #7f6efb, #120ca5) !important;
}

.cards .total-message:before {
  content: '\f0e0';
  top: -53px;
  bottom: -44px;
  right: -50px;
  font-size: 136px;
  color: #cff48d;
}
.cards .total-message {
  background-color: #dcffa0 !important;
}

.cards .total-commission:before {
  content: '\f0e0';
  top: -53px;
  bottom: -44px;
  right: -50px;
  font-size: 136px;
  color: #fdc2c8;
}
.cards .total-commission {
  background-color: #ffe2e6 !important;
}
.cards a {
  z-index: 999;
  padding: 5px 4px;
  background-color: rgba(0, 0, 0, 0.5);
  right: 10px;
  top: 10px;
}

.modal {
  z-index: 9999 !important;
}

@media screen and (max-width: 1200px) {
}
@media screen and (max-width: 992px) {
}
@media screen and (max-width: 768px) {
  .banner::before {
    background-image: none;
  }
  .banner::after {
    background-image: none;
  }
  .navbar-brand img {
    width: 100px;
  }
  .banner {
    padding-top: 30px;
    height: auto;
  }
  .banner h1 {
    font-size: 36px !important;
  }
  .services img {
    width: 100% !important;
    top: auto;
    left: -300px;
    bottom: 28%;
  }
}

@media screen and (max-width: 768px) {
  .sidenav {
    left: -270px;
  }
  .sidenav.show {
    left: 0px;
  }
}

@media screen and (max-width: 576px) {
}
